<section class="block block-callout-group" data-block="Callout Groups" data-block-key="CALLOUTS" data-block-image="group_callouts.svg">
	{insertablegroup title="Callouts" name="CALLOUTS" group="Callouts" descriptor="Callout"}
		{insertable name="header" type="text" title="Header Text" group="Callouts"}{/insertable}
		{insertable name="content" type="markdown,textarea" title="Content Text" group="Callouts"}{/insertable}
		{insertable name="side_image" type="file" title="Side Image" browseable=1 accept="image/*" group="Callouts"}{/insertable}
		{insertable name="cta_teaser" type="markdown,textarea" title="Call To Action Teaser" group="Callouts"}{/insertable}
		{insertable name="cta_button" type="buttoncreator" title="CTA Button" group="Callouts"}{/insertable}
		{insertable name="content_side" type="select" options="left|right" default="left" title="Content Side" group="Callouts"}{/insertable}
		{insertable name="content_color" type="color" title="Content Color" group="Callouts"}{/insertable}
		{insertable name="content_background_color" type="color" title="Content Background" group="Callouts"}{/insertable}
		{insertable name="background_image" type="file" title="Group Background" browseable=1 accept="image/*" group="Callouts"}{/insertable}
		{insertable name="background_color" type="color" title="Group Background" group="Callouts"}{/insertable}
	{/insertablegroup}

	{foreach $CALLOUTS as $idx => $group}
		<article
			id="content-callout-CALLOUTS-{$idx}"
			class="content-callout {if $group.side_image}callout-has-side-image{/if} callout-content-side-{$group.content_side}"
		>

			{if $page}
				{assign var=tag value="`$page.title|str_to_id`/`$group.header|str_to_id`"}
			{else}
				{assign var=tag value="`$group.header|str_to_id`"}
			{/if}

			<div class="callout-body width-wrapper">
				<div class="callout-content track-click" data-track-category="{$tag}">
					<h2>{$group.header}</h2>

					{$group.content|md_to_html}
				</div>

                {if $group.side_image}
                    {img class="callout-side-image" src=$group.side_image dimensions="300x500" sizes="(max-width:400px)=400x600;(max-width:800px)=400x600^;(max-width=1200px)=300x500;(min-width:1800px)=400x600" alt="`$group.header|str_to_id`"}
                {/if}

				{if $group.cta_teaser || $group.cta_button.href}
					<div class="callout-cta">
						{if $group.cta_teaser}
							{$group.cta_teaser|md_to_html}
						{/if}

						{if $group.cta_button.href}
							{buttoncreator $group.cta_button class="track-click" data-track-category="`$tag`" data-track-action="CTA"}
						{/if}
					</div>
				{/if}
			</div>
		</article>
	{/foreach}

	{css}
		{foreach $CALLOUTS as $idx => $group}
            {if $group.background_color}
				#content-callout-CALLOUTS-{$idx} { background-color: {$group.background_color}; }
			{/if}
            {if $group.background_image}
                {assign var='bgimg' value=\Core\Filestore\Factory::File($group.background_image)}
				#content-callout-CALLOUTS-{$idx} { background-image: url("{$bgimg->getPreviewURL('2400x2400')}"); background-repeat: no-repeat; background-size: cover; }
				@media screen AND (max-width: 1800px) {
					#content-callout-CALLOUTS-{$idx} { background-image: url("{$bgimg->getPreviewURL('1800x1800')}"); }
				}
				@media screen AND (max-width: 1200px) {
					#content-callout-CALLOUTS-{$idx} { background-image: url("{$bgimg->getPreviewURL('1200x1200')}"); }
				}
				@media screen AND (max-width: 800px) {
					#content-callout-CALLOUTS-{$idx} { background-image: url("{$bgimg->getPreviewURL('800x800')}"); }
				}
				@media screen AND (max-width: 400px) {
					#content-callout-CALLOUTS-{$idx} { background-image: url("{$bgimg->getPreviewURL('400x400')}"); }
				}
            {/if}
            {if $group.content_color}
				#content-callout-CALLOUTS-{$idx} .callout-body, #content-callout-CALLOUTS-{$idx} .callout-body h2, #content-callout-CALLOUTS-{$idx} .callout-body p { color:{$group.content_color}; }
            {/if}
            {if $group.content_background_color}
				#content-callout-CALLOUTS-{$idx} .callout-body { background-color:{$group.content_background_color}; }
			{/if}
		{/foreach}
	{/css}
</section>