{**
 * $results: array of results located
 *
 * Each result:
 * 'page': PageModel of the original page matching this taxonomy
 * 'meta': array Each meta field on the page
 * 'fields': array Key/Value pair of values from instertable data
 *
 * $page int|null NULL if pagination is disabled, otherwise the current page
 * $pages_total int|null Total number of pages
 * $prev_link URL fragment of the previous link for pagination
 * $next_link URL fragment of the next link for pagination
 *}

<div class="content-taxonomy-widget">

	<ul class="listing-collection">
		{foreach $results as $result}
			{$result.page->render('collection-item')}
		{/foreach}
	</ul>

	{if $page !== null}
		{if $prev_link}
			<a href="{$prev_link}" title="Previous Page">
				<i class="icon icon-angle-double-left"></i>
				Previous Results
			</a>
		{/if}

        {if $next_link}
			<a href="{$next_link}" title="Next Page">
				More Results
				<i class="icon icon-angle-double-right"></i>
			</a>
		{/if}
	{/if}
</div>