<h1>
	{t 'STRING_CRON_CONFIGURE'}
</h1>

<p class="message-tutorial">
	Crons are automated jobs that run on your site to do background tasks such as
	cleanup logs, check for updates, send emails, and other various tasks.<br/><br/>
	These can be disabled completely (useful for development), and the times they run modified.
</p>


<h2>Setup Instructions</h2>

<p class="message-tutorial">
	Crons in Core <strong>do not run automatically</strong>, rather need to be configured to be ran on a schedule.
</p>

<a href="#" class="cron-instructions-cpanel button" title="Instructions for configuring CPanel">
	CPanel Instructions
</a>

<a href="#" class="cron-instructions-manual button" title="Instructions for configuring manually">
	Manual Instructions
</a>


<h2>Configurable Options</h2>

{$form->render()}


<template id="cpanel-instructions">
	<p>
		Log into your CPanel management dashboard (your provider can assist with this), scroll down to "Advanced",
		and click on "Cron Jobs".  Alternatively, you can search for "Cron" with the inline search feature
		at the top of the page.
	</p>
    {img src="assets/images/tutorials/cron/cron-configuration-cpanel-1.png"}
	<br/><br/>

	<p>
		On the Cron page, scroll down to setup a new cron job.  Ensure "Common Settings" are set to "Once Per Minute (* * * * *).
	</p>
    {img src="assets/images/tutorials/cron/cron-configuration-cpanel-2.png"}
	<br/><br/>

	<p>
		Once set, enter the following command and click "Add New Cron Job".
	</p>

	<pre><code>curl -s {$url}cron -o /dev/null
</code></pre>
</template>

<template id="manual-instructions">
	<p>
		Run <code>crontab -e</code> and enter the following line in the text editor:
	</p>

	<pre><code># Execute the hourly webcron for {$sitename}
*  *  *  *  *  curl -s {$url}cron -o /dev/null
</code></pre>

	<p>
		Alternatively, <code>wget -q {$url}cron</code> does the trick too if you prefer wget over cURL.
	</p>
</template>

{script location="foot"}<script>
	document.querySelector('.cron-instructions-cpanel').addEventListener('click', evt => {
		evt.preventDefault();

		let dialog = new Core.ModalDialog();
		dialog.open();
		dialog.frame.innerHTML = document.getElementById('cpanel-instructions').innerHTML;
	});

	document.querySelector('.cron-instructions-manual').addEventListener('click', evt => {
		evt.preventDefault();

		let dialog = new Core.ModalDialog();
		dialog.open();
		dialog.frame.innerHTML = document.getElementById('manual-instructions').innerHTML;
	});
</script>{/script}