<?php


use Core\Controller;

class MediaManagerStylesController extends Controller {
	/**
	 * Save the style edits performed by the admin via the inline style editor
	 *
	 * @core-access-string g:admin
	 * @core-request-method POST
	 */
	public function save() {
		$request = $this->getRequest();
		$view = $this->getView();

		$view->mode = \Core\View::MODE_AJAX;

		try {
			\Core\CoreStyles::SaveStyles($request->getBody());
			$view->setJSONSuccessMessage('Wrote custom styles');
		}
		catch(Exception $ex) {
			$view->setJSONErrorMessage('Unable to save contents, ' . $ex->getMessage());
		}
	}

	/**
	 * Toggle the functionality of inline style editing controls
	 *
	 * @core-access-string g:admin
	 */
	public function toggle() {
		if(\Core\Session::Get('mediamanager-inline-styleeditor')) {
			\Core\Session::Delete('mediamanager-inline-styleeditor');
			\Core\set_message('Inline style editing is disabled!', 'info');
		}
		else {
			\Core\Session::Set('mediamanager-inline-styleeditor', true);
			\Core\set_message('<strong>Inline style editing is enabled!</strong><br/><br/>Use the element menu to control how elements render', 'tutorial');
		}

		throw new \Core\RedirectException('BACK');
	}
}