{script library="jquery"}{/script}
{script library="corejs"}{/script}
{script library="core.strings"}{/script}
{script library="notify"}{/script}
{script src="assets/js/mediamanager/navigator2.js" location="foot"}{/script}
{css src="assets/css/mediamanager/navigator2.css"}{/css}

<div id="media-manager-navigator" class="media-manager-navigator" data-mime="{$mime}" data-max-upload="{$max_upload}">
	{if count($navigators) > 1}
		<div class="media-manager-places">
			{foreach $navigators as $nav}
				<a href="#" class="place-selection selectable button" data-type="{$nav->getType()}">
					{img src="assets/images/mediamanager/place.svg" dimensions="48x48"}<br/>
					{$nav->getTitle()}
				</a>
			{/foreach}
		</div>
	{else}
		<div class="media-manager-places media-manager-places-hidden">
            {foreach $navigators as $nav}
				<meta class="place-selection" data-type="{$nav->getType()}"/>
            {/foreach}
		</div>
    {/if}
	
	<div class="media-manager-content-pane">
		
		<div id="media-manager-controls" class="media-manager-controls button-toolbar">
			<div class="button-group media-manager-directory-controls">
				<a href="#" class="button button-add run-action" data-action="create-directory" title="{t 'STRING_MEDIAMANAGER_DIRECTORY_CREATE'}">
					<i class="icon icon-folder"></i>
				</a>

				<a href="#" class="button button-upload run-action" data-action="upload-file" title="{t 'STRING_MEDIAMANAGER_FILE_UPLOAD'}">
					<i class="icon icon-upload"></i>
				</a>

				<a href="#" class="button button-upload run-action" data-action="create-file" title="{t 'STRING_MEDIAMANAGER_FILE_CREATE'}">
					<i class="icon icon-file"></i>
				</a>

				<a href="#" class="button run-action" data-action="rename" title="{t 'STRING_MEDIAMANAGER_RENAME'}">
					<i class="icon icon-font"></i>
				</a>

				<a href="#" class="button button-reset run-action" data-action="delete" title="{t 'STRING_MEDIAMANAGER_DELETE'}">
					<i class="icon icon-trash"></i>
				</a>
			</div>
					
			<div id="media-manager-cwd" class="media-manager-cwd">

			</div>
			
			<div class="button-group media-manager-view-controls">
				<a href="#" class="button run-action" data-action="set-view" data-view="list" title="{t 'STRING_MEDIAMANAGER_VIEW_AS_LIST'}">
					<i class="icon icon-list"></i>
				</a>
				<a href="#" class="button run-action" data-action="set-view" data-view="icons" title="{t 'STRING_MEDIAMANAGER_VIEW_AS_ICONS'}">
					<i class="icon icon-th"></i>
				</a>
				<a href="#" class="button run-action" data-action="set-view" data-view="icons-large" title="{t 'STRING_MEDIAMANAGER_VIEW_AS_ICONS'}">
					<i class="icon icon-th-large"></i>
				</a>
			</div>
		</div>
	
		
	
		<div id="media-manager-listing" class="media-manager-listing">
			<p class="message-error">Unable to load javascript!</p>
		</div>
			
		<div id="media-manager-details" class="media-manager-details">

		</div>
	</div>

	<input type="file" id="media-manager-input-upload" multiple="multiple" name="upload[]" style="display:none"/>
</div>
	
<template id="media-manager-file-template">
	<div class="listing-entry file" data-path="[%%path%%]" data-url="[%%url%%]" data-mimetype="[%%type%%]">
		<div class="file-icon">
			{img src="assets/images/mimetypes/unknown.svg"}
		</div>
		
		<div class="file-preview">
			{img src="assets/images/mimetypes/unknown.svg"}
		</div>
		
		<div class="file-name">
			[%%name%%]
		</div>
		
		<div class="file-size"></div>
		
		<div class="file-modified"></div>
		
		<div class="file-type">
			[%%type%%]
		</div>
	</div>
</template>
	
<template id="media-manager-directory-template">
	<div class="listing-entry directory" data-path="[%%path%%]">
		<div class="file-icon">
			{img src="assets/images/mimetypes/directory.svg"}
		</div>
		<div class="file-icon-open">
            {img src="assets/images/mimetypes/directory-open.svg"}
		</div>
		
		<div class="file-preview">
			{img src="assets/images/mimetypes/directory.svg"}
		</div>

		<div class="file-preview-open">
            {img src="assets/images/mimetypes/directory-open.svg"}
		</div>
		
		<div class="file-name">
			[%%name%%]
		</div>
		
		<div class="file-size"></div>
		
		<div class="file-modified"></div>
		
		<div class="file-type">
			[%%type%%]
		</div>
	</div>
</template>
		
<template id="media-manager-listing-view-header">
	<div class="media-manager-header">
		<div class="file-icon"></div>

		<div class="file-name">
			{t 'STRING_MEDIAMANAGER_FILENAME'}
		</div>

		<div class="file-size">
			{t 'STRING_MEDIAMANAGER_FILESIZE'}
		</div>

		<div class="file-modified">
			{t 'STRING_MEDIAMANAGER_LAST_MODIFIED'}
		</div>

		<div class="file-type">
			{t 'STRING_MEDIAMANAGER_FILETYPE'}
		</div>
	</div>
</template>


{script location="foot"}<script>
	// Assign the navigator to the window to allow external sources to tap into this.
	window.FileNavigator = new Navigator2();

	{if $select_callback == 'tinymce'}
		// @todo Refactor this to move the logic into TinyMCE's logic instead
		window.FileNavigator.openFile = function($entry) {
			var href = $entry.data('url'),
				parent = window.parent,
				targetinput;


			if(parent != window){
				targetinput = parent.Core.TinyMCE.helper.targetinput;

				parent.document.getElementById(targetinput).value = href;
				parent.tinymce.activeEditor.windowManager.close();
			}
		};
	{/if}
</script>{/script}