<?php
/**
 * File for class WPHoneypotController definition in the coreplus project
 * 
 * @author Charlie Powell <charlie@evalagency.com>
 * @date 20130612.1732
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

use Core\Controller;
use Core\Date\DateTime;
use Core\Date\Timezone;


/**
 * A short teaser of what WPHoneypotController does.
 *
 * More lengthy description of what WPHoneypotController does and why it's fantastic.
 *
 * <h3>Usage Examples</h3>
 *
 *
 * @todo Write documentation for WPHoneypotController
 * <h4>Example 1</h4>
 * <p>Description 1</p>
 * <code>
 * // Some code for example 1
 * $a = $b;
 * </code>
 *
 *
 * <h4>Example 2</h4>
 * <p>Description 2</p>
 * <code>
 * // Some code for example 2
 * $b = $a;
 * </code>
 *
 * 
 * @author Charlie Powell <charlie@evalagency.com>
 *
 */
class WPHoneypotController extends Controller {
	public function wplogin() {
		$view = $this->getView();
		$request = $this->getRequest();

		if($request->isPost()) {
			// Did they actually try to submit this form?......  silly bot ;)
			\SecuritySuite\IpBlacklistHelper::BlockIP(
				REMOTE_IP,
				(SECONDS_ONE_DAY * 2),
				'A day without a friend is like a pot without a single drop of honey left inside.',
				'Submission to WP-Login detected'
			);
		}


		$view->templatename = 'pages/wphoneypot/wplogin.phtml';
		$view->mastertemplate = false;
	}

	public function wpadmin() {
		$view = $this->getView();
		$request = $this->getRequest();

		if($request->isPost()){
			// Did they actually try to submit this form?......  silly bot ;)
			\SecuritySuite\IpBlacklistHelper::BlockIP(
				REMOTE_IP,
				(SECONDS_ONE_DAY * 2),
				'A day without a friend is like a pot without a single drop of honey left inside.',
				'Submission to WP-Admin detected'
			);
		}

		$view->templatename = 'pages/wphoneypot/wpadmin.phtml';
		$view->mastertemplate = false;
	}

	public function honeypot() {
		\SecuritySuite\IpBlacklistHelper::BlockIP(
			REMOTE_IP,
			SECONDS_ONE_HOUR,
			'A day without a friend is like a pot without a single drop of honey left inside.',
			'Request to general honeypot detected'
		);
	}
}
