<?php


namespace Core\Datamodel;


class DatasetFrom {
	/**
	 * Table name or alias to query the data
	 *
	 * @var string
	 */
	public $table;

	/**
	 * Alias to return the selected data
	 *
	 * @var string
	 */
	public $alias;

	/**
	 * A subquery to perform within another query,
	 * the output of this will be used to populate the alias variable in the database server.
	 *
	 * @var Dataset
	 */
	public $subquery;

	public function table(string $table) : DatasetFrom {
		$this->table = $table;

		return $this;
	}

	public function alias(string $alias) : DatasetFrom {
		$this->alias = $alias;

		return $this;
	}

	public function subQuery(Dataset $subQuery) : DatasetFrom {
		$this->subquery = $subQuery;

		return $this;
	}

	/**
	 * Simple constructor that allows chaining.
	 * @return Dataset
	 */
	public static function Init() : DatasetFrom {

		// Allow chaining
		return new self();
	}
}