<?php


namespace Core\ListingTable\Renderer;


use Core\ListingTable\Column;
use Core\ListingTable\Table;
use Core\ListingTable\TableInterface;
use Core\Model;
use Core\Templates\Template;

interface RendererInterface {
	/**
	 * Constructor
	 */
	public function __construct(TableInterface $table) ;

	/**
	 * Render the contents of this interface with all the requested data
	 *
	 * @return array
	 *         +pager   bool   REQUIRED true/false if the pager is enabled
	 *         +options string REQUIRED HTML output of options for this interface
	 *         +body    string REQUIRED HTML output of the body
	 *         +page    int    Current page number, required if pager is set to true
	 *         +total   int    Total number of results, required if pager is set to true
	 *         +pages   int    Total number of pages, required if pager is set to true
	 */
	public function render() : array ;
}