<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Core\ViewMeta;

/**
 * Contains words relevant to the page's content, separated by commas.
 *
 * @author charlie
 */
class Keyword extends GenericMeta {
	protected $_name = 'keywords';
	
	private $_keywords = [];
	
	public function __toString() : string {
		// Merge keywords into a single value
		
		return implode(',', array_map('htmlentities', $this->_keywords));
	}
	
	/**
	 * Set the Meta value
	 * 
	 * @param string $value
	 * @param string $valueKey
	 */
	public function setContent($value, $valueKey = null){
		if($value === null){
			// Special command to clear out any keywords currently set
			$this->_keywords = [];
		}
		else{
			$this->_keywords[] = $value;
		}
	}
}
