<div class="{$element->getClass()} {$element->get('id')}">
	<label for="{$element->get('id')}" class="form-element-label">
		{$element->get('title')|escape}
		{if $element->get('required')}<span class="form-element-required-mark" title="Required Field"> *</span>{/if}
	</label>

	{if $element->get('description')}
		<p class="form-element-description">{$element->get('description')}</p>
	{/if}

	<div class="form-element-value">
		<div class="button-toolbar">
			<div class="button-group">
				<a href="#" class="button run-action" data-action="bold" title="Bold">
					<i class="icon icon-bold"></i>
				</a>
				<a href="#" class="button run-action" data-action="italic" title="Italic">
					<i class="icon icon-italic"></i>
				</a>
				<a href="#" class="button run-action" data-action="strikethrough" title="Strikethrough">
					<i class="icon icon-strikethrough"></i>
				</a>
				<a href="#" class="button run-action" data-action="quote" title="Blockquote">
					<i class="icon icon-quote-right"></i>
				</a>
			</div>

			<div class="button-group">
				<a href="#" class="button run-action" data-action="h1" title="Primary page heading">
					<span>H1</span>
				</a>
				<a href="#" class="button run-action" data-action="h2" title="Secondary page heading">
					<span>H2</span>
				</a>
				<a href="#" class="button run-action" data-action="h3" title="Tertiary page heading">
					<span>H3</span>
				</a>
				<a href="#" class="button run-action" data-action="h4" title="H4 page heading">
					<span>H4</span>
				</a>
				<a href="#" class="button run-action" data-action="h5" title="H5 page heading">
					<span>H5</span>
				</a>
			</div>

			<div class="button-group">
				<a href="#" class="button run-action" data-action="ul" title="Unordered list">
					<i class="icon icon-list-ul"></i>
				</a>
				<a href="#" class="button run-action" data-action="ol" title="Ordered list">
					<i class="icon icon-list-ol"></i>
				</a>
			</div>

			<div class="button-group">
				<a href="#" class="button run-action" data-action="link" title="Insert link">
					<i class="icon icon-link"></i>
				</a>
				<a href="#" class="button run-action" data-action="image" title="Insert image">
					<i class="icon icon-image"></i>
				</a>
				<a href="#" class="button run-action" data-action="video" title="Insert video">
					<i class="icon icon-video"></i>
				</a>
			</div>

			<div class="button-group">
				<a href="#" class="button run-action" data-action="hr" title="Horizontal line">
					<i class="icon icon-minus"></i>
				</a>
				<a href="#" class="button run-action" data-action="pre" title="Preformatted Code">
					<i class="icon icon-code"></i>
				</a>
				<a href="#" class="button run-action" data-action="fullscreen" title="Full Screen">
					<i class="icon icon-expand-arrows-alt"></i>
				</a>
			</div>

			<div class="button-group">
				<a href="#" class="button run-help" title="Get Help">
					<i class="icon icon-question-circle"></i>
				</a>
			</div>
		</div>

		<textarea{$element->getInputAttributes()} class="markdown-editor">{$element->get('value')}</textarea>

		<div class="markdown-preview-window"></div>
	</div>
</div>

{script src="assets/js/marked/marked.js" location="head"}{/script}
{script src="assets/js/core.markdowneditor.js" location="head"}{/script}
<script>
	(() => {
		// Load this initial input
		new CoreMarkdownEditor(document.getElementById("{$element->get('id')}"));

		// Watch for AJAX and dynamically loaded inputs
		document.addEventListener('loaded', evt => {
			let match = evt.target.closest('.markdown-editor');
			if(match && !match.editorLoaded) {
				new CoreMarkdownEditor(match);
			}
		});
	})();
</script>
