<div class="{$element->getClass()} {$element->get('id')} clearfix">
	<label class="form-element-label" for="{$element->get('id')}-ac">
		{$element->get('title')|escape}
		{if $element->get('required')}<span class="form-element-required-mark" title="Required Field"> *</span>{/if}
	</label>

	{if $element->get('description')}
		{if strpos($element->get('description'), "\n")}
			<p class="form-element-description">{$element->get('description')}</p>
		{else}
			<span class="form-element-description">{$element->get('description')}</span>
		{/if}
	{/if}

	<div class="user-input-wrapper form-element-value">
		{if $can_lookup}
			<div class="user-indicator">
				<span class="user-valid-indicator" title="User is valid!">
					<i class="icon icon-ok"></i>
				</span>
				<span class="user-loading-indicator" title="Loading Results, Please Wait">
					<i class="icon icon-circle-o-notch icon-spin"></i>
				</span>
				<span class="user-invalid-indicator" title="No user account linked.">
					<i class="icon icon-exclamation-circle"></i>
				</span>
				<span class="user-empty-indicator" title="Search for a user.">
					<i class="icon icon-user"></i>
				</span>
			</div>

			<input type="text"{$element->getInputAttributes()} id="{$element->get('id')}-ac" value="{$username}"/>
			<input type="hidden" name="{$element->get('name')}" id="{$element->get('id')}" value="{$element->get('value')}"/>
		{else}
			<input type="text"{$element->getInputAttributes()} name="{$element->get('name')}" id="{$element->get('id')}-ac" value="{$element->get('value')}"/>
		{/if}
	</div>
</div>

{if $can_lookup && Core\Core::IsLibraryAvailable('jqueryui')}

	{script library="jquery"}{/script}
	{script library="jqueryui"}{/script}
	{script library="Core.Strings"}{/script}
	{script location="foot"}<script>
		$(function(){

			var
				elementid = "{$element->getID()}-ac", hiddenid = "{$element->getID()}",
				$element, $hidden, $parent, lastval, inactive, $iconValid, $iconLoading, $iconError, $iconEmpty;

			$element = $('#' + elementid);
			$hidden = $('#' + hiddenid);
			$parent = $element.closest('.formelement');
			$iconValid   = $parent.find('.user-valid-indicator');
			$iconLoading = $parent.find('.user-loading-indicator');
			$iconError   = $parent.find('.user-invalid-indicator');
			$iconEmpty   = $parent.find('.user-empty-indicator');

			inactive = $element.data('include-inactive') ? $element.data('include-inactive') : 0;
			
			// Initial statuses
			if($hidden.val()){
				$iconValid.show();
				$iconEmpty.hide();
			}
			else{
				$iconValid.hide();
				$iconEmpty.show();
			}
			$iconLoading.hide();
			$iconError.hide();

			// Gogo autocomplete!
			$element.autocomplete({
				source: '{$lookup_url}?inactive=' + inactive,
				minLength: 2,
				change: function(event, ui) {
					//console.log('change');
					
					if(!($hidden.val() && $element.val()) ) {
						$element.val('');
						$iconValid.hide();
						$iconEmpty.show();
					}
				},
				search: function(event, ui) {
					//console.log('search');
					
					$iconValid.hide();
					$iconError.hide();
					$iconEmpty.hide();
					$iconLoading.show();
					
					// When searching, clear out the previous value, if any set.
					$hidden.val('');
				},
				response: function( event, response ) {
					//console.log('response');
					
					// A response was received, hide the loading icon.
					$iconLoading.hide();
					$iconEmpty.show();
					
					if(!response.content.length){
						// Invalid response returned!
						$iconEmpty.hide();
						$iconError.show();
						return;
					}
				},
				select: function( event, ui ) {
					
					if(event.isDefaultPrevented()) {
						// If this event was cancelled by something above in the bubble, don't do the default operations.
						return false;
					}
					
					if(ui.item){
						// This is a bit different because the value is actually going to a different field.
						$hidden.val(ui.item.id);
						$element.val(ui.item.label);
						$hidden.data('is-valid', true);
						lastval = $element.val();
						
						$iconEmpty.hide();
						$iconValid.show();

						// Trigger any change watcher on the hidden input, just in case there is one.
						$hidden.trigger('change');

						// The return false is to prevent jqueryui from setting the value to the id of the user.
						// I want the label instead, (set above).
						return false;
					}
					else{
						// Just clear out the user id.
						$hidden.val('');
						$hidden.data('is-valid', false);
						lastval = $element.val();
						
						$iconEmpty.show();
						$iconValid.hide();

						// Trigger any change watcher on the hidden input, just in case there is one.
						$hidden.trigger('change');
					}
				}
				// ui-autocomplete-loading
			});

			lastval = $element.val();

		});

	</script>{/script}

{/if}