{if $view_type == 'table'}
	{assign var="columns" value=$table->getColumnsVisible()}
	{assign var="columncount" value=count($columns)}
{else}
	{assign var='d' value='collection'}
	{assign var="columncount" value='na'}
{/if}

<div 
	class="listing-table-2018" 
	data-table-name="{$table->getName()}"
	data-table-sortkey="{$filters->getSortKey()}"
	data-table-sortdir="{$filters->getSortDirection()}"
	data-baseurl="{$base_url}"
>
	{if $filters->checkHasFilters() || $table->checkHasDisplayOptions() || $reports}
		<div class="listing-table-sidebar screen">
			{if $filters->checkHasFilters()}
				{$filters->render()}
			{/if}
			
			{if $table->checkHasDisplayOptions()}
				<fieldset class="collapsible collapsed display-options">
					<div class="fieldset-title" data-group="listing-table-sidebar">
						Display Options
						<i class="icon icon-chevron-down expandable-hint"></i>
						<i class="icon icon-chevron-up collapsible-hint"></i>
					</div>
					<div class="fieldset-content listing-display-options">
						<form action="" method="GET">
							<div class="listing-table-view-count">
								<select class="pagination-limit-selector">
									{foreach [10, 25, 50, 75, 100, 150, 200, 250, 300, 400, 500, 999] as $k}
										<option value="{$k}"{if $k == $filters->getLimit()} selected="selected"{/if}>
											{t 'STRING_DISPLAY_N_RECORDS' $k}
										</option>
									{/foreach}
								</select>
							</div>
						
							{if $view_type == 'table'}
								{*if count($table->getColumns()) > 4}
									<div class="button-group">
										<a href="?reset=1" class="button reset-columns button-reset">
											<i class="icon icon-times"></i>
											<span>{t 'STRING_RESET'}</span>
										</a>
										
										<a href="#" class="button apply-columns button-apply">
											<i class="icon icon-ok"></i>
											<span>{t 'STRING_APPLY'}</span>
										</a>
									</div>
									<hr/>
								{/if*}
								<div class="listing-table-column-select">
									Column Selection<br/>
									{foreach $table->getColumns() as $col}
										{if $col->name}
											<label>
												<input type="checkbox" name="column[]" value="{$col->name}" {if $col->visible}checked="checked"{/if}/>
												{$col->getTitle()}
											</label>
										{/if}
									{/foreach}
								</div>
								
								<hr/>
								<!-- Render a submit button so 'Enter' works... -->
								<input type="submit" style="display:none;"/>
		
								<div class="button-group">
									<a href="?reset=1" class="button reset-columns button-reset">
										<i class="icon icon-times"></i>
										<span>{t 'STRING_RESET'}</span>
									</a>
									
									<a href="#" class="button apply-columns button-apply">
										<i class="icon icon-ok"></i>
										<span>{t 'STRING_APPLY'}</span>
									</a>
								</div>
							{/if}
						</form>
					</div>
				</fieldset>
			{/if}
					
			{if $reports}
				<fieldset class="collapsible collapsed generate-report">
					<div class="fieldset-title" data-group="listing-table-sidebar">
						Generate Report
						<i class="icon icon-chevron-down expandable-hint"></i>
						<i class="icon icon-chevron-up collapsible-hint"></i>
					</div>
					<div class="fieldset-content">
						{foreach $reports as $report}
							<fieldset class="collapsible collapsed">
								<div class="fieldset-title" data-group="listing-table-report-group">
									{$report->getTitle()}
									<i class="icon icon-plus expandable-hint"></i>
									<i class="icon icon-minus collapsible-hint"></i>
								</div>
								<div>
									
									<form action="" method="GET">
										{foreach $report->getOptionsAsFormElements() as $element}
											{$element->render()}
										{/foreach}
										<input type="hidden" name="report" value="{$report->getName()}"/>

										<div class="button-group">
											<a href="#" class="report-view button" data-title="{$report->getTitle()}">
												<i class="icon icon-view"></i>
												<span>{t 'STRING_VIEW'}</span>
											</a>
											<a href="#" class="report-download button">
												<i class="icon icon-file-pdf-o"></i>
												<span>{t 'STRING_DOWNLOAD'}</span>
											</a>
										</div>
									</form>
								</div>
							</fieldset>
						{/foreach}
					</div>
				</fieldset>
			{/if}

			{if $view_type != 'collection' && $table->checkHasBulkActions()}
				<fieldset class="collapsible collapsed bulk-actions">
					<div class="fieldset-title" data-group="listing-table-sidebar">
						Bulk Actions
						<i class="icon icon-chevron-down expandable-hint"></i>
						<i class="icon icon-chevron-up collapsible-hint"></i>
					</div>
					<div class="fieldset-content">
						{foreach $bulk_actions as $action}
							<form action="{link $action.link}" method="POST">
								<input type="submit" value="{$action.title}"/>
							</form>
						{/foreach}
					</div>
				</fieldset>
			{/if}
		</div>
	{/if}

	{* Container is required for the ajax loading to work correctly *}
	<div class="listing-table-data-container">
		<div class="listing-table-data column-count-{if $columncount > 14}many{else}{$columncount}{/if}" id="listing-table-data-{$table->getName()}">

			{if $filters->checkFiltersSet()}
				<div class="listing-table-filterlist print">
					{foreach $filters->getElements() as $element}
						{if $element->get('value')}
							<span class="filter">
								<span class="filter-title">
									{if $element->get('title')}
										{$element->get('title')}
									{elseif $element->get('placeholder')}
										{$element->get('placeholder')}
									{else}
										{$element->get('name')}
									{/if}
								</span>

								<span class="filter-value">{$element->get('value')}</span>
							</span>
						{/if}
					{/foreach}
				</div>
			{/if}

			{if !$table->getTotalCount()}
				<p class="message-info">
					{t 'MESSAGE_NO_RECORDS_FOUND'}
				</p>

				{if $table->getControls()}
					{$table->getControlsForNoResults()->fetch('buttons')}
				{/if}
			{else}
				<div class="listing-table-pagination-and-actions screen">

					{if $table->checkHasPagination()}
						<div class="pagination-pager">
							{if !$filters->checkViewingFirstPage()}
								<a href="?page=1" title="{t 'STRING_FIRST_PAGE'}">
									<i class="icon icon-fast-backward"></i>
								</a>
								{if $filters->getCurrentPage() != 2}
									<a href="?page={$filters->getCurrentPage() - 1}" title="{t 'STRING_PREVIOUS_PAGE'}">
										<i class="icon icon-backward"></i>
									</a>
								{/if}
							{/if}

							{t 'STRING_PAGE_N_OF_N' $filters->getCurrentPage() $filters->getLastPage()}

							{if !$filters->checkViewingLastPage()}
								{if $filters->getCurrentPage() + 1 != $filters->getLastPage()}
									<a href="?page={$filters->getCurrentPage() + 1}" title="{t 'STRING_NEXT_PAGE'}">
										<i class="icon icon-forward"></i>
									</a>
								{/if}
								<a href="?page={$filters->getLastPage()}" title="{t 'STRING_LAST_PAGE'}">
									<i class="icon icon-fast-forward"></i>
								</a>
							{/if}
						</div>
					{/if}


					<div class="total-records">
						{t 'STRING_TOTAL_RECORDS_N' $table->getTotalCount()}
					</div>


					<div class="actions">
						{if $table->getControls()}
							{$table->getControls()->fetch('buttons')}
						{/if}

						<div class="button-group">
							<a href="#" class="button auto-refresh-link" title="{t 'STRING_AUTO_REFRESH'}">
								<i class="icon icon-sync"></i>
								<span>{t 'STRING_AUTO_REFRESH'}</span>
							</a>

							{if !$view_type_forced}
								{* If the controller has forced a specific view type, don't allow the user to change it. *}
								<a href="?view=table" class="button {if $view_type == 'table'}active{/if}" title="{t 'STRING_VIEW_AS_GRID'}">
									<i class="icon icon-table"></i>
									<span>{t 'STRING_VIEW_AS_GRID'}</span>
								</a>

								<a href="?view=collection" class="button {if $view_type == 'collection'}active{/if}" title="{t 'STRING_VIEW_AS_LIST'}">
									<i class="icon icon-th-list"></i>
									<span>{t 'STRING_VIEW_AS_LIST'}</span>
								</a>
							{/if}
						</div>
					</div>

				</div>

				{if $view_type == 'collection'}
					<ul class="listing-collection">
						{while $record = $table->getNext()}
							{$record->render('collection-item')}
						{/while}
					</ul>
				{else}
					<div class="listing-table-record listing-table-header">
						{if $table->checkHasBulkActions()}
							<div class="listing-table-cell-header listing-table-cell column-bulk-select screen">
								<input type="checkbox" class="bulk-select-all"/>
							</div>
						{/if}
						{foreach $columns as $col}
							{$col->getDIV()}
						{/foreach}
						<div class="listing-table-cell-header listing-table-cell column-controls screen">&nbsp;</div>
					</div>

					{while $record = $table->getNext()}
						<div class="listing-table-record listing-table-body {$record->getClass()}" {$record->getDataTagsAsString()}>
							{if $table->checkHasBulkActions()}
								<div class="listing-table-cell column-bulk-select screen" data-title="Bulk Select">
									<input type="checkbox" name="id[]" value="{$record->get('id')}" class="bulk-select"/>
								</div>
							{/if}

							{foreach $columns as $col}
								<div class="{$col->getClass()}" data-title="{$col->getTitle(true)|escape}" title="{$record->get($col->renderkey, 'text/plain')|escape}">
									{$record->get($col->renderkey, 'text/html')}
								</div>
							{/foreach}

							<div class="listing-table-cell column-controls screen">
								{controls model=$record}
							</div>
						</div>
					{/while}
				{/if}
			{/if}
		</div>
	</div>
	
	<!-- Loading content to display while reloading data -->
	<div class="listing-table-loading-template" style="display:none">
		<p class="message-info">
			Loading Data <i class="icon icon-spin icon-circle-o-notch"></i>
		</p>
	</div>
</div>


{script library="jquery"}{/script}
{script library="jqueryui"}{/script}
{script library="notify"}{/script}
{script location="foot" src="assets/js/core.listingtable2018.js"}{/script}