<ul class="installer-progress">
	<li class="active">
		Requirement Checks
	</li>
	<li>
		Configuration
	</li>
	<li>
		Database
	</li>
	<li>
		Deploy Configuration
	</li>
	<li>
		Complete
	</li>
</ul>

<h1>System Requirement Checks</h1>


{if $quickfix}
	<p class="message-info">
		A set of quick solutions is available if you have access to SSH and are comfortable running commands via the CLI.
		<a href="#" id="show-advanced">
			Show Advanced Solution.
		</a>

		<br/><br/>
		Otherwise, scroll down to read what issues were detected and how to fix them.
	</p>
<pre class="code-shell" id="advanced-solutions" style="display:none;"><code>{$quickfix}
</code></pre>
{/if}

{if $passed}
	<p class="message-success">
		Everything looks good!
	</p>
{/if}

{if !$passed}
	<form action="" method="POST">
		<input type="hidden" name="_retry" value="checks"/>
		<input type="submit" value="Recheck"/>
	</form>
{else}
	<form action="" method="POST">
		<input type="hidden" name="_submit" value="checks"/>
		<input type="submit" value="Next &raquo;"/>
	</form>
{/if}


{foreach $checks as $check}
    {assign var=result value=$check->testExtended()}
	<div class="check check-status-{$result}">
		{if $result === 'pass'}
			<span class="check-passed">&#10003;</span>
		{elseif $result === 'warn'}
			<span class="check-warning">!</span>
		{else}
			<span class="check-failed">X</span>
		{/if}

		<span class="check-title">{$check->getTitle()}</span>
		<p class="check-details">
			{$check->getDetails()}
		</p>

		{if $result === 'fail'}
			<form action="" method="POST">
				<input type="hidden" name="_retry" value="checks"/>
				<input type="submit" value="Recheck"/>
			</form>
		{/if}
	</div>
{/foreach}

<script>
	$(function(){
		$('#show-advanced').click(function() {
			$('#advanced-solutions').show();
			return false;
		});
	});
</script>