<ul class="installer-progress">
	<li class="complete">
		✓
		Requirement Checks
	</li>
	<li class="complete">
		✓
		Configuration
	</li>
	<li class="active">
		Database
	</li>
	<li>
		Deploy Configuration
	</li>
	<li>
		Complete
	</li>
</ul>

<h1>Database Configuration</h1>

{if $error}
	<p class="message-error">{$error}</p>
{/if}

{if $passed}
	<p class="message-success">Database connection successful!</p>

	<form action="" method="POST">
		<input type="hidden" name="_submit" value="database"/>
		<input type="submit" value="Next &raquo;"/>
	</form>
{/if}

{if !$passed}
<p class="message-info">
	Random values for the username, database, and password have been generated by default.
	If you would like to change these, scroll down to the form to edit the values.
</p>

	{if $is_cpanel}
		<p>
			To create the database from within cPanel, do the following:
		</p>

		<ol>
			<li>Browse to CPanel >> Databases >> MySQL Database Wizard</li>
			<li>Enter <strong><code>{$values.name}</code></strong> for the database name and press "Next Step"</li>
			<li>Enter <strong><code>{$values.user}</code></strong> for the database user</li>
			<li>Enter <strong><code>{$values.pass}</code></strong> for the user password and confirmation, press "Create User"</li>
			<li>Check "ALL PRIVILEGES" and press "Make Changes"</li>
		</ol>
	{else}
		<p>
			To accept the generated values and setup the database, execute these commands in an SQL window (such as that when executing mysql).
		</p>

		<pre class="code-mysql"><code>CREATE USER '{$values.user}' IDENTIFIED BY '{$values.pass}';
CREATE DATABASE IF NOT EXISTS {$values.name};
GRANT ALL ON {$values.name}.* TO '{$values.user}';
FLUSH PRIVILEGES;
</code></pre>
	{/if}

	{if $first_try}
		<form action="" method="POST">
			<input type="hidden" name="_retry" value="database"/>
			<input type="submit" value="OK, Done!  Check Connection"/>
		</form>
	{else}
		<form action="" method="POST">
			<input type="hidden" name="_retry" value="database"/>
			<input type="submit" value="Recheck Connection"/>
		</form>
	{/if}

	<hr/>
	<h2>Change Database Parameters</h2>

	<form action="" method="POST">
		<input type="hidden" name="_retry" value="database"/>
		<input type="hidden" name="_config" value="1"/>

		{foreach $elements as $element}
			<div class="formelement formelement-{$element.type}-input {if $element.advanced}advanced{/if}">
				<div class="formelement-labelinputgroup">
					<label for="formelement-{$element.name}">{$element.title}</label>

					{if $element.type === 'select'}
						<select name="{$element.name}" id="formelement-{$element.name}">
							{foreach $element.options as $opt}
								<option value="{$opt}" {if $opt === $element.value}selected="selected"{/if}>{$opt}</option>
							{/foreach}
						</select>
					{elseif $element.type === 'checkbox'}
						<input type="checkbox" name="{$element.name}" id="formelement-{$element.name}" value="1" {if $element.value === 'true'}checked="checked"{/if}/>
					{else}
						<input type="{$element.type}" name="{$element.name}" id="formelement-{$element.name}" value="{$element.value|escape}"/>
					{/if}
				</div>

				<div class="clear"></div>

				{if $element.description}
					<div class="formdescription">{$element.description}</div>
				{/if}
			</div>
		{/foreach}
		<br/>

		<input type="submit" value="Change Parameters"/>
	</form>
{/if}
