{css}<style>
	.color {
		margin-bottom: 1em;
	}
	.color .toggle-reset-color {
		display: inline-block;
	}
	.color .color-selector {
		display: inline-block;
		width: 11em;
	}
</style>
{/css}

<p class="message-warning">
	This page not currently functional; do not use!
</p>

<a class="button toggle-reset-color-all">
	Reset All Colors
</a>

<form action="" method="POST">
	<div class="colors-tab-interface">
		<ul>
			{foreach $groups as $gkey => $values}
				<li>
					<a href="#colors-{$gkey}">
                        {if $gkey === '0base'}
							Base Colors
                        {elseif $gkey === '1interactive'}
							Interactive Elements
                        {else}
							{$gkey|ucfirst}
                        {/if}
					</a>
				</li>
			{/foreach}
		</ul>

        {foreach $groups as $gkey => $values}
			<div id="colors-{$gkey}">
                {foreach $values as $key => $val}
					<div class="color" data-group="{$gkey}" data-key="{$key}">
						<label>
                            {t $val.title}
						</label>
						<input type="hidden" name="colors[{$key}]" value="{$val.value}" class="color-hidden"/>

						<div class="color-set">
							<input type="color" value="{$val.value}" class="color-selector"/>
							<a href="#" class="button toggle-reset-color">Reset to Default</a>
						</div>
						<div class="color-unset">
							<a href="#" class="button toggle-set-color">Set Color</a>
						</div>
					</div>
                {/foreach}

				<input type="submit" value="Save Colors"/>
			</div>
        {/foreach}
	</div>
</form>

{script library="jqueryui"}{/script}
{script location="foot"}<script>
	(() => {

		$('.colors-tab-interface').tabs();
		function process_color(group) {
			let colorVal = group.querySelector('.color-hidden').value,
				valset = colorVal !== '';

			if(valset) {
				group.querySelector('.color-set').style.display = 'inline-block';
				group.querySelector('.color-unset').style.display = 'none';
			}
			else {
				group.querySelector('.color-set').style.display = 'none';
				group.querySelector('.color-unset').style.display = 'inline-block';
			}
		}

		function reset_color(group) {
			group.querySelector('.color-hidden').value = '';
			group.querySelector('.color-selector').value = '#000000';
			group.querySelector('.color-set').style.display = 'none';
			group.querySelector('.color-unset').style.display = 'inline-block';
		}

		function set_color(group) {
			group.querySelector('.color-hidden').value = '#000000';
			group.querySelector('.color-selector').value = '#000000';
			group.querySelector('.color-set').style.display = 'inline-block';
			group.querySelector('.color-unset').style.display = 'none';
		}

		function process_all() {
			let colors = document.getElementsByClassName('color');
			for(let i = 0; i < colors.length; i++) {
				process_color(colors[i]);
			}
		}

		function reset_all() {
			let colors = document.getElementsByClassName('color');
			for(let i = 0; i < colors.length; i++) {
				colors[i].querySelector('.color-hidden').value = '';
				process_color(colors[i]);
			}
		}

		document.querySelectorAll('.toggle-reset-color').forEach(input => {
			input.addEventListener('click', evt => {
				reset_color(evt.target.closest('.color'));
				evt.preventDefault();
			} );
		} );

		document.querySelectorAll('.toggle-set-color').forEach(input => {
			input.addEventListener('click', evt => {
				set_color(evt.target.closest('.color'));
				evt.preventDefault();
			} );
		} );

		document.querySelectorAll('.color-selector').forEach(input => {
			input.addEventListener('change', evt => {
				evt.target.closest('.color').querySelector('.color-hidden').value = evt.target.value;
				evt.preventDefault();
			} );
		} );

		document.querySelectorAll('.toggle-reset-color-all').forEach(input => {
			input.addEventListener('click', evt => {
				reset_all();
				evt.preventDefault();
			} );
		} );



		process_all();
	} )();
</script>{/script}
