{css href="assets/css/theme/admin.css"}{/css}

<h3>Themes Installed</h3>
<p class="message-tutorial">
	Themes are the main top-level element controlling how your site looks.
	You can have multiple themes installed and ready, but only one theme activated at a time.
	Only the currently active theme can be used for selecting skins and email skins.
</p>

<div class="theme-picker theme-section tile-container">
	{if $theme_selection_enabled}
		{foreach $themes as $theme}

			{assign var='screen' value=$theme->getScreenshot()}

			<div class="theme {if $theme->isInstalled()}current-theme{/if} tile">
				<div class="tile-title">
                    {$theme->getName()}
				</div>

				<div class="tile-image">
				{if $screen.file}
					<img src="{$screen.file->getPreviewURL('220x160')}" title="{$screen.title}"/>
				{else}
					{img src="assets/images/placeholders/generic.svg" dimensions="220x160"}
				{/if}
				</div>

				<div class="tile-controls">
				{if !$theme->isEnabled()}
					{a class="button" href="/theme/setdefault/`$theme->getKeyName()`" confirm="Set `$theme->getName()` as site-wide default theme?"}
						Set As Default
					{/a}
				{else}
					Current Default
				{/if}
				</div>
			</div>
		{/foreach}
	{else}
		{foreach $themes as $theme}
			{if $theme->isEnabled()}
				{assign var='screen' value=$theme->getScreenshot()}
				<div class="theme current-theme tile">
					<div class="tile-title">
                        {$theme->getName()}
					</div>

					<div class="tile-image">
                        {if $screen.file}
							<img src="{$screen.file->getPreviewURL('220x160')}" title="{$screen.title}"/>
                        {else}
                            {img src="assets/images/placeholders/generic.svg" dimensions="220x160"}
                        {/if}
					</div>

					<div class="tile-controls">
					Current Default
					</div>
				</div>
			{/if}
		{/foreach}
	{/if}
</div>

<div class="theme-section">
	<h3>Theme {$current->getName()} Configurable Options</h3>
	{if $options_form}
		{$options_form->render()}
	{else}
		<p class="message-info">
			There are no configurable options for your selected theme.
		</p>
	{/if}
</div>

{if $theme_selection_enabled}
	<div class="theme-section">
		<h3>Theme {$current->getName()} Skins</h3>

		<p class="message-tutorial">
			Theme skins are your site's main container controlling the entire look and feel.
			Some applications can use a different skin if your theme has multiple to choose from, but generally the "public" skin
			is used for all public-facing, (anonymous), pages.
			The admin skin will only be used for administrative pages.
		</p>

		{$site_skins_form->render()}
	</div>
{/if}
