<?php
/**
 * 
 * @package Core
 * @author Charlie Powell <charlie@evalagency.com>
 * @date 20140228.1328
 * @copyright Copyright (C) 2009-2017  Charlie Powell
 * @license GNU Affero General Public License v3 <http://www.gnu.org/licenses/agpl-3.0.txt>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/agpl-3.0.txt.
 */

use Core\Core;
use Core\Widget;

/**
 * Class description here
 *
 * @package Core
 */
class UpdaterWidget extends Widget {
	public function check(){
		if( !\Core\user()->checkAccess('g:admin') ) {
			return '';
		}

		$disabled = Core::GetDisabledComponents();
		$notinstalled = 0;
		foreach($disabled as $c) {
			if(!$c->isInstalled()) {
				$notinstalled ++;
			}
		}

		return 'UPDATER WIDGET';
	}
}
